package com.cooble.saltmod.event_hooks;

import java.util.Random;

import com.cooble.saltmod.potions.SaltModPotions;

import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import net.minecraft.util.DamageSource;
import net.minecraftforge.event.entity.living.LivingEvent.LivingUpdateEvent;

public class ChokingPotionEventHook {
	
	@SubscribeEvent
	public void onEntityUpdate(LivingUpdateEvent event) {
		if(event.entityLiving.getActivePotionEffect(SaltModPotions.chokingPotion)!=null)
			if (event.entityLiving.getActivePotionEffect(SaltModPotions.chokingPotion).getDuration()==0) {//nekdy to funguje i po vyprchn efektu
				event.entityLiving.removePotionEffect(SaltModPotions.chokingPotion.id);
				return;
			}

		if (event.entityLiving.isPotionActive(SaltModPotions.chokingPotion)) {
			event.entityLiving.attackEntityFrom(DamageSource.drown, 1F);
			Random rand = event.entityLiving.worldObj.rand;
			for(int i =0;i<50;i++){
				boolean dir1 = rand.nextBoolean();
				boolean dir2 = rand.nextBoolean();
				double velZ=rand.nextInt(10)+1;
				double velX=rand.nextInt(10)+1;
				velZ=dir1?velZ:-velZ;
				velX=dir2?velX:-velX;

				event.entityLiving.worldObj.spawnParticle("splash", event.entityLiving.posX, event.entityLiving.posY, event.entityLiving.posZ,velX,rand.nextDouble()*3,velZ);
			}
		}
	}
}
